> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ibana.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice approval request

> Retrieve the approval request for an invoice, showing who approved or rejected it and when.



## OpenAPI

````yaml get /v1/invoice/{id}/approval-request
openapi: 3.0.0
info:
  title: ibana public api
  description: Public API for ibana
  version: 1.0.0
  contact:
    name: ibana
    url: https://ibana.io
    email: dev@ibana.io
servers:
  - url: https://public-api.ibana.io
    description: Production
security: []
tags: []
paths:
  /v1/invoice/{id}/approval-request:
    get:
      tags:
        - Invoice
      summary: Get invoice approval request
      description: >-
        Retrieve the approval request for an invoice, showing who approved or
        rejected it and when.
      operationId: InvoiceController_getApprovalRequest_v1
      parameters:
        - name: id
          required: true
          in: path
          description: Invoice ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceApprovalRequestResponseDto'
      security:
        - bearer: []
components:
  schemas:
    InvoiceApprovalRequestResponseDto:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - SKIPPED
        requester:
          nullable: true
          description: User who requested the approval. Null for system-initiated requests.
          type: object
          allOf:
            - $ref: '#/components/schemas/ApproverDto'
        approvalItems:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceApprovalItemResponseDto'
      required:
        - id
        - status
        - requester
        - approvalItems
    ApproverDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
      required:
        - id
        - name
        - email
    InvoiceApprovalItemResponseDto:
      type: object
      properties:
        id:
          type: string
        approver:
          $ref: '#/components/schemas/ApproverDto'
        status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - SKIPPED
        comments:
          type: string
          nullable: true
        step:
          $ref: '#/components/schemas/ApprovalStepSummaryDto'
      required:
        - id
        - approver
        - status
        - comments
        - step
    ApprovalStepSummaryDto:
      type: object
      properties:
        stepNumber:
          type: number
      required:
        - stepNumber
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````